Subject: Re: [wpan-next 2/4] net: mac802154: Include the softMAC stack inside the IEEE 802.15.4 menu

From: Miquel Raynal <[email-masked]>
Date: Fri, 28 Jan 2022 15:04:12 +0100

Hi Stefan,

[email-masked] wrote on Fri, 28 Jan 2022 13:35:00 +0100:

> Hello.
> 
> On 27.01.22 17:54, Miquel Raynal wrote:
> > Hi Stefan,
> > 
> > [email-masked] wrote on Thu, 27 Jan 2022 17:04:41 +0100:
> >   
> >> Hello.
> >>
> >> On 20.01.22 01:43, Miquel Raynal wrote:  
> >>> From: David Girault <[email-masked]>
> >>>
> >>> The softMAC stack has no meaning outside of the IEEE 802.15.4 stack and
> >>> cannot be used without it.
> >>>
> >>> Signed-off-by: David Girault <[email-masked]>
> >>> [[email-masked]: Isolate this change from a bigger commit]
> >>> Signed-off-by: Miquel Raynal <[email-masked]>
> >>> ---
> >>>    net/Kconfig            | 1 -
> >>>    net/ieee802154/Kconfig | 1 +
> >>>    2 files changed, 1 insertion(+), 1 deletion(-)
> >>>
> >>> diff --git a/net/Kconfig b/net/Kconfig
> >>> index 0da89d09ffa6..a5e31078fd14 100644
> >>> --- a/net/Kconfig
> >>> +++ b/net/Kconfig
> >>> @@ -228,7 +228,6 @@ source "net/x25/Kconfig"
> >>>    source "net/lapb/Kconfig"
> >>>    source "net/phonet/Kconfig"
> >>>    source "net/6lowpan/Kconfig"
> >>> -source "net/mac802154/Kconfig"
> >>>    source "net/sched/Kconfig"
> >>>    source "net/dcb/Kconfig"
> >>>    source "net/dns_resolver/Kconfig"
> >>> diff --git a/net/ieee802154/Kconfig b/net/ieee802154/Kconfig
> >>> index 31aed75fe62d..7e4b1d49d445 100644
> >>> --- a/net/ieee802154/Kconfig
> >>> +++ b/net/ieee802154/Kconfig
> >>> @@ -36,6 +36,7 @@ config IEEE802154_SOCKET
> >>>    	  for 802.15.4 dataframes. Also RAW socket interface to build MAC
> >>>    	  header from userspace.  
> >>>    > +source "net/mac802154/Kconfig"  
> >>>    source "net/ieee802154/6lowpan/Kconfig"  
> >>>    >   endif  
> >>>    >>  
> >> Please fold this patch into the previous one moving the Kconfig option around. This can be done in one go.  
> > 
> > Sure.
> > 
> > By the way, I was questioning myself: why is the mac802154 folder
> > outside of ieee802154? I don't really understand the organization but
> > as it would massively prevent any of the future changes that I already
> > prepared to apply correctly, I haven't proposed such a move -yet. But
> > I would like to know what's the idea behind the current folder
> > hierarchy?  
> 
> The directory structure has been in place from the initial merge of the subsystem, before Alex and myself took on the maintainer roles.
> 
> I see no reason for a move though. The extra burden for backports, etc outweigh the urge of cleanliness on the folder structure. :-)

That's fair.

> The Kconfig cleanup and move of the file is worth doing, the move of the whole source code folder not.

I agree there is more interesting and less impacting to do in the area,
I was just wondering about that choice.

Thanks,
Miquèl